domain_indirect_basic< sequential >
Inheritance diagram for domain_indirect_basic< sequential >:

## Public Types

typedef domain_indirect_rep< sequential > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::iterator_ioige | iterator_ioige
typedef rep::const_iterator_ioige | const_iterator_ioige
Public Types inherited from smart_pointer< domain_indirect_rep< sequential > >
typedef domain_indirect_rep< sequential > | handled_type
typedef base::internal | internal

## Public Member Functions

| domain_indirect_basic ()
template<class T >
| domain_indirect_basic (const geo_abstract_rep< T, sequential > &omega, const std::string &name, size_type map_dim, const communicator &comm, const std::vector< size_type > &ie_list)
template<class T >
| domain_indirect_basic (const geo_basic< T, sequential > &omega, const std::string &name, size_type map_dim, const communicator &comm, const std::vector< size_type > &ie_list)
template<class U >
| domain_indirect_basic (disarray< geo_element_auto<>, sequential > &d_tmp, const geo_basic< U, sequential > &omega, std::vector< index_set > *ball)
void | resize (size_type n)
size_type | size () const
size_type | dis_size () const
const distributor & | ownership () const
const_iterator_ioige | ioige_begin () const
const_iterator_ioige | ioige_end () const
iterator_ioige | ioige_begin ()
iterator_ioige | ioige_end ()
const geo_element_indirect & | oige (size_type ioige) const
void | set_name (std::string name)
void | set_map_dimension (size_type map_dim)
std::string | name () const
size_type | map_dimension () const
bool | is_broken () const
void | set_broken (bool b)
odiststream & | put (odiststream &) const
template<class T >
idiststream & | get (idiststream &ips, const geo_rep< T, sequential > &omega, std::vector< index_set > *ball)
Public Member Functions inherited from smart_pointer< domain_indirect_rep< sequential > >
| smart_pointer (domain_indirect_rep< sequential > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< domain_indirect_rep< sequential > > &x)
smart_pointer< domain_indirect_rep< sequential > > & | operator= (const smart_pointer< domain_indirect_rep< sequential > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Detailed Description

Definition at line 342 of file domain_indirect.h.

## Member Typedef Documentation

## rep

typedef domain_indirect_rep<sequential> rep

Definition at line 347 of file domain_indirect.h.

## base

typedef smart_pointer<rep> base

Definition at line 348 of file domain_indirect.h.

## size_type

typedef rep::size_type size_type

Definition at line 349 of file domain_indirect.h.

## iterator_ioige

typedef rep::iterator_ioige iterator_ioige

Definition at line 350 of file domain_indirect.h.

## const_iterator_ioige

typedef rep::const_iterator_ioige const_iterator_ioige

Definition at line 351 of file domain_indirect.h.

## Constructor & Destructor Documentation

## domain_indirect_basic() [1/4]

domain_indirect_basic | ( |  | ) |

Definition at line 410 of file domain_indirect.h.

## domain_indirect_basic() [2/4]

domain_indirect_basic | ( | const geo_abstract_rep< T, sequential > & | omega,
|  | const std::string & | name,
|  | size_type | map_dim,
|  | const communicator & | comm,
|  | const std::vector< size_type > & | ie_list
| ) |  |

Definition at line 427 of file domain_indirect.h.

## domain_indirect_basic() [3/4]

domain_indirect_basic | ( | const geo_basic< T, sequential > & | omega,
|  | const std::string & | name,
|  | size_type | map_dim,
|  | const communicator & | comm,
|  | const std::vector< size_type > & | ie_list
| ) |  |

Definition at line 416 of file domain_indirect.h.

## domain_indirect_basic() [4/4]

domain_indirect_basic | ( | disarray< geo_element_auto<>, sequential > & | d_tmp,
|  | const geo_basic< U, sequential > & | omega,
|  | std::vector< index_set > * | ball
| ) |  |

Definition at line 207 of file domain_indirect_seq.cc.

## Member Function Documentation

## resize()

void resize | ( | size_type | n | ) |

Definition at line 438 of file domain_indirect.h.

## size()

domain_indirect_basic< sequential >::size_type size | ( |  | ) | const

Definition at line 444 of file domain_indirect.h.

## dis_size()

domain_indirect_basic< sequential >::size_type dis_size | ( |  | ) | const

Definition at line 450 of file domain_indirect.h.

## ownership()

const distributor & ownership | ( |  | ) | const

Definition at line 456 of file domain_indirect.h.

## ioige_begin() [1/2]

domain_indirect_basic< sequential >::const_iterator_ioige ioige_begin | ( |  | ) | const

Definition at line 468 of file domain_indirect.h.

## ioige_end() [1/2]

domain_indirect_basic< sequential >::const_iterator_ioige ioige_end | ( |  | ) | const

Definition at line 474 of file domain_indirect.h.

## ioige_begin() [2/2]

domain_indirect_basic< sequential >::iterator_ioige ioige_begin | ( |  | ) |

Definition at line 480 of file domain_indirect.h.

## ioige_end() [2/2]

domain_indirect_basic< sequential >::iterator_ioige ioige_end | ( |  | ) |

Definition at line 486 of file domain_indirect.h.

## oige()

const geo_element_indirect & oige | ( | size_type | ioige | ) | const

Definition at line 462 of file domain_indirect.h.

## set_name()

void set_name | ( | std::string | name | ) |

Definition at line 516 of file domain_indirect.h.

## set_map_dimension()

void set_map_dimension | ( | size_type | map_dim | ) |

Definition at line 522 of file domain_indirect.h.

## name()

std::string name | ( |  | ) | const

Definition at line 492 of file domain_indirect.h.

## map_dimension()

domain_indirect_basic< sequential >::size_type map_dimension | ( |  | ) | const

Definition at line 498 of file domain_indirect.h.

## is_broken()

bool is_broken | ( |  | ) | const

Definition at line 504 of file domain_indirect.h.

## set_broken()

void set_broken | ( | bool | b | ) |

Definition at line 510 of file domain_indirect.h.

## put()

odiststream & put | ( | odiststream & | ops | ) | const

Definition at line 528 of file domain_indirect.h.

## get()

idiststream & get | ( | idiststream & | ips,
|  | const geo_rep< T, sequential > & | omega,
|  | std::vector< index_set > * | ball
| ) |  |

Definition at line 535 of file domain_indirect.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/domain_indirect.h
- /build/rheolef-FQTnje/rheolef-7.1/main/lib/domain_indirect_seq.cc